Subject: [IPP] IPP WG Agenda 3:00-4:30pm US Eastern (8 April 2021)

From: Ira McDonald via ipp <[email-masked]>
Date: Wed, 7 Apr 2021 12:32:53 -0400

Hi,

Our next regular IPP WG call will be on Thursday
at 12:00-13:30pm US Pacific / 3:00-4:30pm US Eastern

NOTE: Please USE the *NEW* WebEx meeting below!

-------------------------------------------------------
Meeting information
-------------------------------------------------------
PWG Chair is inviting you to a scheduled WebEx meeting.

Occurs every Thursday effective Thursday, January 14, 2021 from
3:00 PM to 4:30 PM, (UTC-05:00) Eastern Time (US & Canada)
1 hr 30 mins

Join meeting
<https://printerworkinggroup.my.webex.com/printerworkinggroup.my/j.php?MTID=m1ec63e3f9ccef2d69934882f93b83b3c>

*More ways to join:*

*Join from the meeting link*
https://printerworkinggroup.my.webex.com/printerworkinggroup.my/j.php?MTID=m1ec63e3f9ccef2d69934882f93b83b3c

*Join by meeting number*
Meeting number (access code): 126 908 4132
Meeting password: 6Zc7eJPWdQ8 (69273579 from phones and video systems)

*Tap to join from a mobile device (attendees only)*
+1-415-655-0001,,1269084132#69273579#
<%2B1-415-655-0001,,*01*1269084132%2369273579%23*01*> US Toll
Some mobile devices may ask attendees to enter a numeric meeting password.

*Join by phone*
+1-415-655-0001 US Toll
Global call-in numbers
<https://printerworkinggroup.my.webex.com/printerworkinggroup.my/globalcallin.php?MTID=m706cf95ad2262c1bb03cd4b84278830d>

*Join by video system, application or Skype for business*
Dial [email-masked]
You can also dial 173.243.2.68 and enter your meeting number.

Need help? Go to https://help.webex.com

-------------------------------------------------------

Agenda:
(1) PWG IP Policy, Minute Taker, Roll Call, and Agenda Review
- Volunteer as minute taker?
-- Status of all IPP documents in progress is up-to-date below

(2) Approve IPP minutes from previous meetings
- https://ftp.pwg.org/pub/pwg/ipp/minutes/ippv2-concall-minutes-20210311.pdf
-- IPP WG regular call on 03/11/21

(3) Status/Review of various IPP mailing list notes
- https://www.pwg.org/archives/ipp/2021/020879.html
-- IPP Registration Request for Addition: New keywords for the "media"
attribute
- https://www.pwg.org/archives/ipp/2021/020894.html
- https://www.pwg.org/archives/ipp/2021/020908.html
-- RFC: Grayscale version of IPP Everywhere logo
- https://www.pwg.org/archives/ipp/2021/020905.html
-- Fwd: [TLS] BCP 195, RFC 8996 on Deprecating TLS 1.0 and TLS 1.1
- https://www.pwg.org/archives/ipp/2021/020907.html
-- Fwd: TLS/1.3 Transport Model for SNMPv3 initiative

(4) Status of AMSC and ISO liaisons w/ PWG (Paul)
- http://ftp.pwg.org/pub/pwg/general/sc/pwg-sc-call-minutes-20210222.htm
- http://ftp.pwg.org/pub/pwg/general/sc/pwg-sc-call-minutes-20210308.htm
- http://ftp.pwg.org/pub/pwg/general/sc/pwg-sc-call-minutes-20210405.htm
-- see PWG Steering Committee minutes from 02/22/21, 03/08/21, 04/05/21

(5) Status of PWG and IPP WG Formal Approvals and Last Calls (All)
* IPP WG Charter (Ira)
- https://www.pwg.org/archives/ipp/2021/020887.html
- https://ftp.pwg.org/pub/pwg/ipp/wd/wd-ipp-charter-20210309-rev.pdf
-- Stable draft - for new work items
-- IPP WG review 11 March 2021 - after update from 1st PWG Call for
Objections
-- 2nd PWG Call for Objections start 03/12/21 ends 04/09/21 - no objections
so far
-- Schedule - PWG approval in Q2 2021

(6) Status or Review of IPP Finishings v3.0 (Smith)
- https://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippfinishings30-20210311-rev.pdf
-- Prototype draft - for Major update
-- IPP WG review 11 March 2021
-- completed review
-- Schedule - Prototype draft in Q2 2021

(7) Planning for Joint PWG/OP Virtual F2F on 4-7 May 2021 (All)
- https://www.pwg.org/chair/meeting-info/may-2021-virtual.html
-- Discuss timing of IPP WG sessions and topics

<https://www.pwg.org/chair/meeting-info/may-2021-virtual.html>

(8) Status of recent IPP Wiki Pages (Mike)
-
https://github.com/istopwg/ippsample/wiki/IPP-Everywhere-Value-Proposition-Discussion-Points
-- IPP Everywhere Value Proposition Discussion Points
-- PWG discussion at PWG Virtual F2F on 18 August 2020
- https://www.pwg.org/archives/ipp/2020/020773.html
-- Wiki page started for errata discussions
-- Added on 20 November 2020

(9) Status of various IPP documents (All)
* IPP 2.0, 2.1, and 2.2 Update (Mike/Ira)
- https://github.com/istopwg/ippsample/wiki/Planned-PWG-Errata-Updates
- https://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippbase23-20210211.pdf
-- Major update - for a PWG Standard
-- IPP WG review 11 March 2021
-- stopped at end of section 4
-- Schedule - Interim draft in Q2 2021

* IPP Production Printing Ext v2.0 (Mike)
- https://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippppx20-20201029-rev.pdf
-- Prototype draft - for a Candidate Standard
-- PWG review at PWG Virtual F2F on 3 November 2020
-- Just waiting on prototyping in ippsample
-- Mike to do new prototype draft of IPP PPX v2.0 with recipient attributes
from EPX
-- Schedule - Stable draft in Q1 2021

* IPP Enterprise Printing Ext v2.0 (Smith)
- https://ftp.pwg.org/pub/pwg/ipp/wd/wd-ippepx20-20201029-rev.pdf
- https://www.pwg.org/archives/ipp/2021/020842.html
-- RFC: printer-storage/-description attributes and printer-state-reasons
values
-- Interim draft - for a Candidate Standard
-- PWG review at PWG Virtual F2F in February 2021
-- stopped at end of section 7.3
-- Schedule - Prototype draft in Q2 2021

* IPP Driverless Printing Extensions v2.0 (Smith)
- https://ftp.pwg.org/pub/pwg/ipp/wd-ippnodriver20-20201029-rev.pdf
- https://www.pwg.org/archives/ipp/2020/020760.html
-- "client-info-col" proposal
- https://www.pwg.org/archives/ipp/2020/020761.html
-- print quality presets and processing attributes
- https://www.pwg.org/archives/ipp/2020/020777.html
-- RFC: Add "printer-serial-number (text(255))" toNODRIVER
-- Interim draft - for a Candidate Standard
-- PWG review at PWG Virtual F2F on 4 November 2020
-- stopped at end of section 4.4
-- Schedule - Prototype draft in Q3 2021

* IPP Encrypted Jobs and Documents v1.0 (Mike/Smith)
- https://ftp.pwg.org/pub/pwg/ipp/wd/wd-ipptrustnoone10-20200218-rev.pdf
-- Prototype draft - for a Candidate Standard
-- PWG discussion at PWG Virtual F2F in February 2021
-- Schedule - Prototyping and Stable draft in Q3 2021

* Cloud Registration with X.509 Certificates (Cihan/Mike)
-- Registrations or Updates to IPP INFRA and IPP System Service
-- Gathering a list of potential improvements/extensions
-- PWG discussion at PWG Virtual F2F in February 2021
-- Schedule - Initial draft in Q2 2021

* IPP Everywhere v2.0 (Mike)
- https://github.com/istopwg/ippsample/wiki/Planned-PWG-Errata-Updates
-- Major update - for a Candidate Standard
-- Add TLS/1.2 and/or TLS/1.3, Privacy, Job Accounting as Mandatory
-- Add Feature definitions for "vertical solution" use cases
-- Define a complete IPP Everywhere MFD (add Scan, FaxOut, System services)
-- Define tests to certify standard common features
-- PWG discussion at PWG Virtual F2F in February 2021
-- Schedule – TBD

(10) Open Printing update (Ira)
- https://openprinting.github.io
- https://developers.google.com/open-source/gsoc
- https://developers.google.com/season-of-docs
- https://communitybridge.org/
- https://openprinting.github.io/OpenPrinting-News-March-2021
- https://openprinting.github.io/cups/ (home page)
- https://github.com/OpenPrinting/cups/ (repository)
- https://github.com/OpenPrinting/cups/releases/tag/v2.3.3op2
- https://github.com/michaelrsweet/pappl/releases/tag/v1.0.2
- https://github.com/OpenPrinting/cups-filters/releases/tag/1.28.8

- CUPS OP current release is v2.3.3op2 in February 2021
-- This is the last release of the 2.3.x series
-- To mark that CUPS upstream development is now under OP, we will start
2.4.x
-- Ubuntu Hirsute Hippo (21.04) will ship with CUPS 2.3.3op2
-- CUPS Snap currently uses this version.

- CUPS now has a new home page!
-- What was formerly our OP fork is now the official CUPS repository
-- Upcoming releases will be of the new 2.4.x series, now without "opX"
suffix.

- PAPPL v1.0.2 - released on 20 January 2021
-- PAPPL development has continued, approaching 1.0.3
-- See also the currently open and closed issues of PAPPL

- CUPS Filters v1.28.8 - released on 25 March 2021
-- Bug fix release.
-- Ubuntu Hirsute Hippo (21.04) will ship with CUPS Filters v1.28.8

- OP GSoC 2021 - planning - in progress
-- DONE - 29 January 2021 - Organization Applications Open - LF applied
-- DONE - 19 February 2021 - Organization Application Deadline
-- DONE - 9 March 2021 - Organizations Announced - LF approved
-- 29 March 2021 to 13 April 2021 - Student Applications
-- 17 May 2021 - Student Projects Announced
-- 7 June 2021 to 16 August 2021 - Coding
-- 31 August 2021 - Results Announced
-- Project ideas have been posted for this year’s GSoC.
-- Student projects will only be half the hours.

- OP GSoD (Google Season of Docs) 2021 - planning - in progress
-- DONE - 19 February 2021 - Organization Applications Open - LF applied
-- DONE -- 26 March 2021 - Organization Application Deadline
-- 16 April 2021 - Google publishes the list of accepted organization
-- 17 May 2021 - Technical writer hiring deadline
-- 16 June 2021 - Organization monthly evaluations to report status of
their project
-- 16-30 November 2021 - Final project evaluation and case study
-- 14 December 2021 - Google publishes the GSoD 2021 case studies

- LFMP (Linux Foundation Mentorship Program) 2021 - planning - in progress
-- Plan to augment GSoC 2021 projects - perhaps new IPP projects

- OP Steering Committee
-- OP monthly calls 02/02/21, 03/02/21, 04/06/21, and upcoming 05/18/21

(11) Next IPP Meetings

- IPP WG call on Thu 22 April 2021 at 3:00-4:30pm US Eastern
-- IPP WG slides review for Joint PWG/OP Virtual F2F

- Joint PWG/OP Virtual F2Fon Tue-Fri 4-7 May 2021
-- IPP sessions

- IPP WG call on Thu 20 May 2021 at 3:00-4:30pm US Eastern
-- regular meeting

Cheers,

- Ira
*Ira McDonald (Musician / Software Architect)*

*Chair - SAE Trust Anchors and Authentication TF*
*Co-Chair - TCG Trusted Mobility Solutions WG*

*Co-Chair - TCG Metadata Access Protocol SG*

*Chair - Linux Foundation Open Printing WGSecretary - IEEE-ISTO Printer
Working GroupCo-Chair - IEEE-ISTO PWG Internet Printing Protocol WGIETF
Designated Expert - IPP & Printer MIBBlue Roof Music / High North
Inchttp://sites.google.com/site/blueroofmusic
<http://sites.google.com/site/blueroofmusic>http://sites.google.com/site/highnorthinc
<http://sites.google.com/site/highnorthinc>mailto: [email-masked]
<[email-masked]>(permanent) PO Box 221  Grand Marais, MI 49839
906-494-2434*
_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp